<?php
namespace PnConvertByteToString\View\Helper;

use Zend\View\Helper\AbstractHelper;

class PnConvertByteToString extends AbstractHelper {
    
    public function __invoke($size = null) {
        if(is_numeric($size)) {
            $size = $this->toByteString($size);   
        } else {
            $size = '&nbsp;';
        }
        
        return $size;
    }
    
    protected function toByteString($size)
    {
        $sizes = ['B', 'kB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];
        for ($i = 0; $size >= 1024 && $i < 9; $i++) {
            $size /= 1024;
        }
        
        return round($size, 2) . $sizes[$i];
    }
}